Will this adapter work on a Mac with Snow Leopard 10.6.8?

I want to use this adapter with a 2011 MacBook Pro still loaded with Snow Leopard and don't wish to update to Lion.

Apple Thunderbolt to FireWire Adapter

Back To Product

Follow this Question

2 Answers from the Community

  • Hmm, curious other answer.
    See this from above:
    Answer
    Yes, I use it with my MacBook Pro running SL 10.6.8. Works fine.
    Answered by Curtis L from Brooklyn Sep 12, 2012

    Was this useful? Answer 1

    4 of 4 people found this useful

  • Best Answer:

    No it will not. You need to have Lion 10.7.4 or higher.

    Was this useful? Answer 2

    4 of 6 people found this useful

Related Questions